Paycose Docs
Quote
GET/quotes

List Quotes

Responses: 200

Generated from the code contract; no hand-written description yet.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/quotes/?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[accepted_at]=&filter[amount_discount]=&filter[amount_shipping]=&filter[auto_advance]=&filter[capture_method]=&filter[collection_method]=&filter[created_at]=&filter[currency]=&filter[customer_id]=&filter[due_date]=&filter[expires_at]=&filter[id]=&filter[invoice_id]=&filter[labels]=&filter[number]=&filter[payment_method_id]=&filter[payment_method_type]=&filter[provider_id]=&filter[reference_id]=&filter[shipping_rate_id]=&filter[status]=&filter[subtotal]=&filter[tax]=&filter[total]=&filter[transfer_balance_id]=&filter[updated_at]=' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}'

Headers

NameValue
X-Session-Token{{session_token}}
X-Country{{country}}

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "livemode": false,
      "created_at": "<RFC3339 timestamp>",
      "updated_at": "<RFC3339 timestamp>",
      "number": "<string>",
      "invoice_id": "<string>",
      "customer_id": "<string>",
      "default_payment_method_id": "<string>",
      "payment_method_type": "<string>",
      "collection_method": "<string>",
      "capture_method": "<string>",
      "auto_advance": false,
      "due_date": "<RFC3339 timestamp>",
      "customer_name": "<string>",
      "customer_email": "<string>",
      "customer_phone": "<string>",
      "address": {
        "id": "<string>",
        "address_type": "<string>",
        "name": "<string>",
        "phone": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "country": "<string>"
      },
      "shipping_address": {
        "id": "<string>",
        "address_type": "<string>",
        "name": "<string>",
        "phone": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "country": "<string>"
      },
      "line_items": [
        {
          "id": "<string>",
          "object": "<string>",
          "product_id": "<string>",
          "product_price_id": "<string>",
          "product_reference_id": "<string>",
          "price_reference_id": "<string>",
          "sort_order": 0,
          "type": "<string>",
          "description": "<string>",
          "product_name": "<string>",
          "product_description": "<string>",
          "product_image": "<string>",
          "product_type": "<string>",
          "unit_amount": 0,
          "quantity": 0,
          "amount_discount": 0,
          "amount_subtotal": 0,
          "amount_tax": 0,
          "amount_total": 0,
          "currency": "<string>",
          "discountable": false,
          "period_start": "<RFC3339 timestamp>",
          "period_end": "<RFC3339 timestamp>",
          "reference_id": "<string>",
          "metadata": {},
          "taxes": [
            {
              "id": "<string>",
              "tax_rate_id": "<string>",
              "taxable_amount": 0,
              "tax_amount": 0,
              "inclusive": false
            }
          ]
        }
      ],
      "discounts": [
        {
          "id": "<string>",
          "coupon_id": "<string>",
          "promotion_code_id": "<string>",
          "name": "<string>",
          "amount": 0
        }
      ],
      "subtotal": 0,
      "tax": 0,
      "total": 0,
      "amount_shipping": 0,
      "shipping_rate_id": "<string>",
      "amount_discount": 0,
      "currency": "<string>",
      "scaling_factor": 0,
      "transfer_data": {
        "destination": "<string>",
        "balance_id": "<string>"
      },
      "status": "<string>",
      "provider": "<string>",
      "reference_id": "<string>",
      "expires_at": "<RFC3339 timestamp>",
      "accepted_at": "<RFC3339 timestamp>",
      "metadata": {},
      "labels": "<core.Labels>",
      "account_tax_ids": [
        "<string>"
      ],
      "payment_method_types": [
        "<string>"
      ],
      "payment_method_providers": [
        "<string>"
      ],
      "customer": {
        "id": "<string>",
        "object": "<string>",
        "livemode": false,
        "created_at": null,
        "updated_at": null,
        "name": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "address": {
          "city": "<string>",
          "country": "<string>",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "state": "<string>"
        },
        "shipping": {
          "name": "<string>",
          "phone": "<string>",
          "address": {
            "city": "<string>",
            "country": "<string>",
            "line1": "<string>",
            "line2": "<string>",
            "postal_code": "<string>",
            "state": "<string>"
          }
        },
        "is_system": false,
        "is_application_customer": false,
        "capabilities": {
          "charge": false,
          "transfer": false,
          "payout": false
        },
        "tax_ids": [
          {
            "type": "<string>",
            "value": "<string>",
            "country": "<string>",
            "verification_status": "<string>"
          }
        ],
        "metadata": {},
        "labels": "<core.Labels>",
        "invoice_settings": {},
        "tax_exempt": "<string>",
        "preferred_locales": [
          "<string>"
        ],
        "business_name": "<string>",
        "currency": "<string>"
      },
      "default_payment_method": null,
      "invoice": null
    }
  ],
  "page": 1,
  "limit": 10,
  "total_items": 1,
  "total_pages": 1
}

On this page